USB 3.0 mode only works after suspend for some PantherPoint devices

Bug #1000424 reported by James M. Leddy on 2012-05-16
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Manoj Iyer
Oneiric
Medium
Unassigned
Precise
Medium
Manoj Iyer
Quantal
Medium
Manoj Iyer

Bug Description

============ ON COLD BOOT ===============

May 14 14:52:49 u kernel: [ 166.760407] usb 2-1.4: new high-speed USB device number 5 using ehci_hcd
May 14 14:52:49 u kernel: [ 166.855394] scsi7 : usb-storage 2-1.4:1.0
May 14 14:52:50 u kernel: [ 167.852356] scsi 7:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
May 14 14:52:50 u kernel: [ 167.853746] sd 7:0:0:0: Attached scsi generic sg2 type 0
May 14 14:52:50 u kernel: [ 167.854987] sd 7:0:0:0: [sdb] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
May 14 14:52:50 u kernel: [ 167.855355] sd 7:0:0:0: [sdb] Write Protect is off
May 14 14:52:50 u kernel: [ 167.855367] sd 7:0:0:0: [sdb] Mode Sense: 23 00 00 00
May 14 14:52:50 u kernel: [ 167.855719] sd 7:0:0:0: [sdb] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
May 14 14:52:50 u kernel: [ 167.862897] sdb:
May 14 14:52:50 u kernel: [ 167.864702] sd 7:0:0:0: [sdb] Attached SCSI removable disk
May 14 14:53:01 u kernel: [ 178.555908] sdb: detected capacity change from 15806234624 to 0

============ AFTER S3 =====================

May 14 14:54:20 u kernel: [ 251.982750] usb 4-3: new SuperSpeed USB device number 2 using xhci_hcd
May 14 14:54:20 u kernel: [ 252.000189] scsi8 : usb-storage 4-3:1.0
May 14 14:54:21 u kernel: [ 252.998013] scsi 8:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
May 14 14:54:21 u kernel: [ 252.999423] sd 8:0:0:0: [sdb] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
May 14 14:54:21 u kernel: [ 252.999455] sd 8:0:0:0: Attached scsi generic sg2 type 0
May 14 14:54:21 u kernel: [ 252.999590] sd 8:0:0:0: [sdb] Write Protect is off
May 14 14:54:21 u kernel: [ 252.999596] sd 8:0:0:0: [sdb] Mode Sense: 23 00 00 00
May 14 14:54:21 u kernel: [ 252.999744] sd 8:0:0:0: [sdb] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
May 14 14:54:21 u kernel: [ 253.004253] sdb:
May 14 14:54:21 u kernel: [ 253.004998] sd 8:0:0:0: [sdb] Attached SCSI removable disk

tags: added: blocks-hwcert-enablement

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1000424

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Biplab Swain (swain-biplab) wrote :

I have a similar issue with Intel Panther Point USB xHCI host controller. The difference being my Transcend USB flash drive doesn't even work in USB 2.0 mode and while the flash drive is plugged in, message "usb 2-1.3: reset high-speed USB device number 7 using ehci_hcd" gets appended to the log files periodically. However, everything works fine post system suspend (the pen drive should be unplugged before suspend) and the flash drive gets mounted automatically but the issue comes back after a soft reboot.

I was about to file a new bug until I bumped in to this one. I don't think a different bug report is required because of the difference mentioned earlier in this comment. Do let me know if that is not the case. I have all the log files and can provide whatever information that is needed to get this fixed.

I first encountered this problem on 64 bit Ubuntu 12.04 LTS but the same behavior persists on 32 bit Fedora 16.

Manoj Iyer (manjo) wrote :

Please test the kernel in http://kernel.ubuntu.com/~manjo/precise/lp1000424-usb/

Please post results (dmesg snip) like I have done below for USB 3.0 port and USB 2.0 ports on your system.

I tested this kernel on a Lenovo system:

== BEFORE PATCH ==
[ 25.982350] eth1: no IPv6 routers present
[ 27.577663] usb 2-1.1: new high-speed USB device number 3 using ehci_hcd
[ 27.674465] scsi6 : usb-storage 2-1.1:1.0
[ 28.673788] scsi 6:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
[ 28.674667] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 28.677284] sd 6:0:0:0: [sdc] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
[ 28.677832] sd 6:0:0:0: [sdc] Write Protect is off
[ 28.677839] sd 6:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 28.678454] sd 6:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 28.682117] sdc: sdc1
[ 28.684179] sd 6:0:0:0: [sdc] Attached SCSI removable disk

== AFTER PATCH USB 3.0 PORT ==
[ 56.653501] usb 4-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 56.672677] scsi6 : usb-storage 4-1:1.0
[ 57.669912] scsi 6:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
[ 57.671100] sd 6:0:0:0: [sdc] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
[ 57.671185] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 57.671389] sd 6:0:0:0: [sdc] Write Protect is off
[ 57.671392] sd 6:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 57.671499] sd 6:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 57.674480] sdc: sdc1
[ 57.675180] sd 6:0:0:0: [sdc] Attached SCSI removable disk

== AFTER PATCH USB 2.0 PORT ==
[ 112.468810] usb 4-1: USB disconnect, device number 2
[ 117.688925] usb 1-1.2: new high-speed USB device number 5 using ehci_hcd
[ 117.786131] scsi7 : usb-storage 1-1.2:1.0
[ 118.785809] scsi 7:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
[ 118.788004] sd 7:0:0:0: Attached scsi generic sg3 type 0
[ 118.789848] sd 7:0:0:0: [sdc] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
[ 118.790287] sd 7:0:0:0: [sdc] Write Protect is off
[ 118.790294] sd 7:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 118.791072] sd 7:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 118.796448] sdc: sdc1
[ 118.798525] sd 7:0:0:0: [sdc] Attached SCSI removable disk

Chris Van Hoof (vanhoof) on 2012-08-21
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
status: New → Incomplete
Changed in linux (Ubuntu Oneiric):
status: New → Incomplete
Changed in linux (Ubuntu Precise):
assignee: nobody → Manoj Iyer (manjo)
Manoj Iyer (manjo) wrote :

This kernel is has that patch that will be accepted by upstream so, please test this kernel in http://kernel.ubuntu.com/~manjo/precise/lp1000424-usb/

Please post results (dmesg snip) like I have done below for USB 3.0 port and USB 2.0 ports on your system.

I tested this kernel on a Lenovo system:

Test results
=============

USB 3.0 device connected to SuperSpeed port
--------------------------------------------
[ 34.694033] usb 4-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 34.712925] scsi6 : usb-storage 4-1:1.0
[ 35.709947] scsi 6:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
[ 35.710886] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 35.711475] sd 6:0:0:0: [sdc] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
[ 35.712721] sd 6:0:0:0: [sdc] Write Protect is off
[ 35.712725] sd 6:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 35.712841] sd 6:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 35.714627] sdc: sdc1

USB 3.0 device connected to highspeed port
-------------------------------------------
[ 148.128616] usb 1-1.2: new high-speed USB device number 5 using ehci_hcd
[ 148.226040] scsi7 : usb-storage 1-1.2:1.0
[ 149.225645] scsi 7:0:0:0: Direct-Access JetFlash Transcend 16GB 1.00 PQ: 0 ANSI: 5
[ 149.227690] sd 7:0:0:0: Attached scsi generic sg3 type 0
[ 149.230196] sd 7:0:0:0: [sdc] 30871552 512-byte logical blocks: (15.8 GB/14.7 GiB)
[ 149.230555] sd 7:0:0:0: [sdc] Write Protect is off
[ 149.230563] sd 7:0:0:0: [sdc] Mode Sense: 23 00 00 00
[ 149.231333] sd 7:0:0:0: [sdc] Write cache: disabled, read cache: disabled, doesn't support DPO or FUA
[ 149.235822] sdc: sdc1
[ 149.238035] sd 7:0:0:0: [sdc] Attached SCSI removable disk

Biplab Swain (swain-biplab) wrote :

The patched kernel works for me. USB 3.0 ports are working fine now. I did, however, observe that when the flash drive was plugged in to HighSpeed USB ports, xhci driver was always used for one port and ehci for the other, as if the HighSpeed port is actually working in SuperSpeed mode. It is a good thing for me :). The system is a Lenovo ThinkPad E430. Either way I am glad that I don't have to go through a suspend-resume cycle to get USB 3.0 ports working. I've attached the file which contains the dmesg snip.

James Ferguson (jamesf) wrote :

Confirmed, kernel from http://kernel.ubuntu.com/~manjo/precise/lp1000424-usb/ fixes bug for me.

Changed in linux (Ubuntu Quantal):
status: Incomplete → In Progress
Changed in linux (Ubuntu Precise):
status: Incomplete → In Progress
Changed in linux (Ubuntu Oneiric):
status: Incomplete → In Progress
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-32.51). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Biplab Swain (swain-biplab) wrote :

Kernel 3.2.0-32.51 (Precise-proposed) solves the problem for me.

Luis Henriques (henrix) wrote :

As per comment #8, I'm tagging this bug as verified in precise.

tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-17.26

---------------
linux (3.5.0-17.26) quantal-proposed; urgency=low

  [ David Henningsson ]

  * SAUCE: ALSA: hda - fix indices on boost volume on Conexant
    - LP: #1059523

  [ Leann Ogasawara ]

  * [Config] Build in CONFIG_X86_PCC_CPUFREQ=y
    - LP: #1061126

  [ Rob Herring ]

  * Revert "SAUCE: ahci_platform: add custom hard reset for Calxeda ahci
    ctrlr"
    - LP: #1059432
  * Revert "SAUCE: net: calxedaxgmac: add write barriers around setting
    owner bit"
    - LP: #1059432
  * Revert "SAUCE: ARM: highbank: use writel_relaxed variant for pwr
    requests"
    - LP: #1059432
  * Revert "SAUCE: force DMA buffers to non-bufferable on highbank"
    - LP: #1059432
  * Revert "SAUCE: input: add a key driver for highbank"
    - LP: #1059432
  * [Config] Align highbank config with amd64-generic and add new configs
    - LP: #1059432
  * SAUCE: net: calxedaxgmac: enable operate on 2nd frame mode
    - LP: #1059432
  * SAUCE: net: calxedaxgmac: remove explicit rx dma buffer polling
    - LP: #1059432
  * SAUCE: net: calxedaxgmac: use relaxed i/o accessors in rx and tx paths
    - LP: #1059432
  * SAUCE: net: calxedaxgmac: drop some unnecessary register writes
    - LP: #1059432
  * SAUCE: net: calxedaxgmac: rework transmit ring handling
    - LP: #1059432
  * SAUCE: ARM: highbank: retry wfi on reset request
    - LP: #1059432

  [ Tim Gardner ]

  * [Config] TIDSPBRIDGE=m
    - LP: #1058022
  * rebase to v3.5.5

  [ Upstream Kernel Changes ]

  * common: DMA-mapping: add DMA_ATTR_NO_KERNEL_MAPPING attribute
    - LP: #1059432
  * common: DMA-mapping: add DMA_ATTR_SKIP_CPU_SYNC attribute
    - LP: #1059432
  * ARM: dma-mapping: add support for DMA_ATTR_SKIP_CPU_SYNC attribute
    - LP: #1059432
  * ARM: add coherent dma ops
    - LP: #1059432
  * ARM: add coherent iommu dma ops
    - LP: #1059432
  * ARM: highbank: add coherent DMA setup
    - LP: #1059432
  * sata: add platform driver for Calxeda AHCI controller
    - LP: #1059432
  * xhci: Rate-limit XHCI_TRUST_TX_LENGTH quirk warning.
    - LP: #1039478
  * agp/intel-gtt: remove dead code
    - LP: #1011440
  * drm/i915: stop using dev->agp->base
    - LP: #1011440
  * agp/intel-gtt: don't require the agp bridge on setup
    - LP: #1011440
  * drm/i915 + agp/intel-gtt: prep work for direct setup
    - LP: #1011440
  * agp/intel-gtt: move gart base addres setup
    - LP: #1011440
  * drm/i915: don't use dev->agp
    - LP: #1011440
  * drm/i915: disable drm agp support for !gen3 with kms enabled
    - LP: #1011440
  * agp/intel-agp: remove snb+ host bridge pciids
    - LP: #1011440
  * rebase to v3.5.5
    - LP: #1000424
 -- Leann Ogasawara <email address hidden> Wed, 03 Oct 2012 11:11:18 -0700

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (18.4 KiB)

This bug was fixed in the package linux - 3.2.0-32.51

---------------
linux (3.2.0-32.51) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1056036

  [ Keng-Yu Lin ]

  * SAUCE: Intel xhci: Only switch the switchable ports
    - LP: #1034814

  [ Kyle Fazzari ]

  * SAUCE: input: Cypress PS/2 Trackpad fix disabling tap-to-click
    - LP: #1048816

  [ Seth Forshee ]

  * SAUCE: Input: synaptics - Adjust threshold for treating position values
    as negative
    - LP: #1046512

  [ Stefan Bader ]

  * Revert "SAUCE: Force xsave off on older Xen hypervisors"
    - LP: #1044550

  [ Upstream Kernel Changes ]

  * Revert "HID: wiimote: fix invalid power_supply_powers call"
    - LP: #1048605
  * Revert "drm/radeon: fix bo creation retry path"
    - LP: #1049899
  * HID: wiimote: fix invalid power_supply_powers call
    - LP: #1048605
  * HID: add ASUS AIO keyboard model AK1D
    - LP: #1027789, #1049899
  * nfs: tear down caches in nfs_init_writepagecache when allocation fails
    - LP: #1049899
  * NFS: Use kcalloc() when allocating arrays
    - LP: #1049899
  * NFSv4.1 fix page number calculation bug for filelayout decode buffers
    - LP: #1049899
  * fix page number calculation bug for block layout decode buffer
    - LP: #1049899
  * pnfs: defer release of pages in layoutget
    - LP: #1049899
  * ext4: avoid kmemcheck complaint from reading uninitialized memory
    - LP: #1049899
  * fuse: verify all ioctl retry iov elements
    - LP: #1049899
  * Bluetooth: Fix legacy pairing with some devices
    - LP: #1049899
  * xhci: Increase reset timeout for Renesas 720201 host.
    - LP: #1049899
  * xhci: Add Etron XHCI_TRUST_TX_LENGTH quirk.
    - LP: #1049899
  * USB: ftdi_sio: Add VID/PID for Kondo Serial USB
    - LP: #1049899
  * USB: option: Add Vodafone/Huawei K5005 support
    - LP: #1049899
  * USB: add USB_VENDOR_AND_INTERFACE_INFO() macro
    - LP: #1049899
  * USB: support the new interfaces of Huawei Data Card devices in option
    driver
    - LP: #1049899
  * usb: serial: mos7840: Fixup mos7840_chars_in_buffer()
    - LP: #1049899
  * usb: gadget: u_ether: fix kworker 100% CPU issue with still used
    interfaces in eth_stop
    - LP: #1049899
  * ARM: 7483/1: vfp: only advertise VFPv4 in hwcaps if CONFIG_VFPv3 is
    enabled
    - LP: #1049899
  * ARM: 7488/1: mm: use 5 bits for swapfile type encoding
    - LP: #1049899
  * ARM: 7489/1: errata: fix workaround for erratum #720789 on UP systems
    - LP: #1049899
  * drm/i915: ignore eDP bpc settings from vbt
    - LP: #1049899
  * ALSA: hda - fix Copyright debug message
    - LP: #1049899
  * sched: fix divide by zero at {thread_group,task}_times
    - LP: #1049899
  * ath9k: fix decrypt_error initialization in ath_rx_tasklet()
    - LP: #1049899
  * drm/nvd0/disp: mask off high 16 bit of negative cursor x-coordinate
    - LP: #1049899
  * drm/i915: reorder edp disabling to fix ivb MacBook Air
    - LP: #1049899
  * audit: don't free_chunk() after fsnotify_add_mark()
    - LP: #1049899
  * audit: fix refcounting in audit-tree
    - LP: #1049899
  * vfs: canonicalize create mode in build_open_flags()
    - LP: #1049899
  * PCI: EHCI: Fix crash d...

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-27.44). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Luis Henriques (henrix) wrote :

This fix has been already successfully tested on Precise. Furthermore, the fix has reached the Ubuntu Oneiric kernel through stable update 3.0.44. Thus, I'm tagging it as verified.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 3.0.0-27.44

---------------
linux (3.0.0-27.44) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1067266

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Upstream Kernel Changes ]

  * UBUNTU SAUCE: apparmor: fix IRQ stack overflow
    - LP: #1056078
  * net_sched: gact: Fix potential panic in tcf_gact().
    - LP: #1060430
  * isdnloop: fix and simplify isdnloop_init()
    - LP: #1060430
  * net/core: Fix potential memory leak in dev_set_alias()
    - LP: #1060430
  * af_packet: remove BUG statement in tpacket_destruct_skb
    - LP: #1060430
  * ipv6: addrconf: Avoid calling netdevice notifiers with RCU read-side
    lock
    - LP: #1060430
  * atm: fix info leak in getsockopt(SO_ATMPVC)
    - LP: #1060430
  * atm: fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak in getsockopt(HCI_FILTER)
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak in ioctl(RFCOMMGETDEVLIST)
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: L2CAP - Fix info leak via getsockname()
    - LP: #1060430
  * llc: fix info leak via getsockname()
    - LP: #1060430
  * dccp: fix info leak via getsockopt(DCCP_SOCKOPT_CCID_TX_INFO)
    - LP: #1060430
  * ipvs: fix info leak in getsockopt(IP_VS_SO_GET_TIMEOUT)
    - LP: #1060430
  * net: fix info leak in compat dev_ifconf()
    - LP: #1060430
  * netlink: fix possible spoofing from non-root processes
    - LP: #1060430
  * l2tp: avoid to use synchronize_rcu in tunnel free function
    - LP: #1060430
  * net: ipv4: ipmr_expire_timer causes crash when removing net namespace
    - LP: #1060430
  * workqueue: reimplement work_on_cpu() using system_wq
    - LP: #1060430
  * cpufreq/powernow-k8: workqueue user shouldn't migrate the kworker to
    another CPU
    - LP: #1060430
  * cciss: fix handling of protocol error
    - LP: #1060430
  * vfs: make O_PATH file descriptors usable for 'fstat()'
    - LP: #1060430
  * vfs: dcache: use DCACHE_DENTRY_KILLED instead of DCACHE_DISCONNECTED in
    d_kill()
    - LP: #1060430
  * netconsole: remove a redundant netconsole_target_put()
    - LP: #1060430
  * target: Fix ->data_length re-assignment bug with SCSI overflow
    - LP: #1060430
  * ALSA: ice1724: Use linear scale for AK4396 volume control.
    - LP: #1060430
  * Staging: speakup: fix an improperly-declared variable.
    - LP: #1060430
  * staging: vt6656: [BUG] - Failed connection, incorrect endian.
    - LP: #1060430
  * staging: r8712u: fix bug in r8712_recv_indicatepkt()
    - LP: #1060430
  * staging: comedi: das08: Correct AO output for das08jr-16-ao
    - LP: #1060430
  * USB: option: replace ZTE K5006-Z entry with vendor class rule
    - LP: #1060430
  * perf_event: Switch to internal refcount, fix race with close()
    - LP: #1060430
  * mmc: mxs-mmc: fix deadlock in SDIO IRQ case
    - LP: #1060430
  * mmc: sdhci-esdhc: break out early if clock is 0
    - LP: #1060430
  * ahci: Add alternate ident...

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers